﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.IRA
@{
    ViewData["Title"] = "Index";
}

<style>
    i.fa.fa-calendar {
        color: rgb(0, 125, 169) !important;
        margin-top: 0px !important;
        position: absolute;
        right: 20px !important;
        top: 8px !important;
        font-size: 20px;
    }
</style>
<script>
    $(document).ready(function () {
        //$('#StartDate').datepicker({
        //    dateFormat: 'dd-mm-yy',
        //    autoclose: true,
        //}).on('change', function () {
        //    debugger
        //    $('#EndDate').datepicker("destroy");
        //    var selected = $(this).val();
        //    var t = [];
        //    t = selected.split('/');
        //    $('#EndDate').datepicker({
        //        autoclose: true,
        //        showOtherMonths: true,
        //        selectOtherMonths: false,
        //        dateFormat: 'dd-mm-yy',
        //        minDate: new Date(t[2] + '-' + t[1] + '-' + t[0]),
        //    })
        //    $('#EndDate').val(selected);
        //})
        debugger
        if ($("#ID").val() <= 0) {
            $('#StartDate').val('');
            $('#EndDate').val('');
        }
    })

    function fn_saveUser() {
        var domains = [];
        if ($("#StartDate").val() == '') {
            toastr.warning('Please enter Start date!');
            return false;
        }
        if ($("#EndDate").val() == '') {
            toastr.warning('Please enter End date!');
            return false;
        }
        $.each($(".customcheckbtn:checked"), function () {
            domains.push($(this).val());
        })
        if (domains.length > 0) $("#DomainIds").val(domains.join(","));
        else {
            toastr.error('Please select atleast one domain!');
            return false;
        }
        var model = {
            ID: Number($("#ID").val()),
            _EndDate: $("#EndDate").val(),
            _StartDate: $("#StartDate").val(),
            OrgId: Number($("#OrgId").val()),
            DomainIds: $("#DomainIds").val(),
        }
        $.post('/ApplicationManagement/IRA/SaveAssessmentScope', { model: model }, function (res) {
            $.get('/ApplicationManagement/IRA/TabMenu', { orgId: $("#OrgId").val(), orgName: $("#OrgName").val() }, (res) => $('#ajaxresult').html(res))
            res.isSuccess ? toastr.success('Saved successfully.') : toastr.error('Something went wrong!');
        })
    }
</script>
<section>
    <div class="right_section">
        <div class="pb-2 mt-3 mb-3 border-bottom box_title pl-4">
            Determine Assessment Scope for @Model.OrgName
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="TabMenu" asp-controller="IRA" asp-area="ApplicationManagement" asp-route-orgId="@Model.OrgId" asp-route-orgName="@Model.OrgName">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    @Html.HiddenFor(m => m.ID)
                    @Html.HiddenFor(m => m.OrgId)
                    @Html.HiddenFor(m => m.DomainIds)
                    @Html.HiddenFor(m => m.OrgName)
                    <div>
                        <div class="pb-2 mb-5 border-bottom box_subtitle">
                            Assessment Duration.
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-2 col-sm-6 col-xs-12">
                                        @Html.Label("Start Date")
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <input type="date" class="form-control" value="@Model.StartDate.ToString("yyyy-MM-dd")" id="StartDate" min="@DateTime.Now.ToString("yyyy-MM-dd")" onchange="$('#EndDate').val(''); $('#EndDate').attr('min',$(this).val())" />
                                        @*@Html.TextBoxFor(m => m.StartDate, new { @class = "form-control m_no", autocomplete = "off", placeholder = "Enter Start Date" })
                                            <i class="fa fa-calendar" id="txtStartDate" onclick="$(this).siblings('input').focus()"></i>*@
                                    </div>
                                    <div class="col-md-2 col-sm-6 col-xs-12">
                                        @Html.Label("End Date")
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <input type="date" class="form-control" value="@Model.EndDate.ToString("yyyy-MM-dd")" id="EndDate" min="@Model.StartDate.ToString("yyyy-MM-dd")"/>
                                        @*@Html.TextBoxFor(m => m.EndDate, new { @class = "form-control m_no", autocomplete = "off", placeholder = "Enter End Date" })
                                            <i class="fa fa-calendar" onclick="$(this).siblings('input').focus()"></i>*@
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="pb-2 mt-5 mb-2 border-bottom box_subtitle">
                            Select Applicable Risk Domain
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="chkriskdomain">
                                    @foreach (var item in Model.ListDomains)
                                    {
                                        <div>
                                            @if ((Model.DomainIds != null) && Model.DomainIds.Contains(Convert.ToString(item.Value)))
                                            {
                                                <input id="chk_@item.Id" class="customcheckbtn" checked type="checkbox" value="@item.Value" />
                                            }
                                            else
                                            {
                                                <input id="chk_@item.Id" class="customcheckbtn" type="checkbox" value="@item.Value" />
                                            }
                                            <label for="chk_@item.Id">@item.Name</label>
                                        </div>
                                    }
                                </div>
                            </div>
                        </div>
                        <div>
                            <input type="submit" class="btn btn-primary pull-right" onclick="return fn_saveUser()" value="Save" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
